### exercise.answers.R
### 11/10/16 cmm
### R programming for sample size calculations workshop
### Answers to exercises


###########################################################

### Exercise 1: Write a loop that calculates 1*2*3*4*5

total <- 1
for (i in 1:5)  {
  cat("i = ", i, "\n" )
  total <- total * i
  cat("     total = ", total, "\n\n")
}

###########################################################

### Exercise 2: Use the cat() function

total <- 0
for (i in 1:5)  {
  cat("i = ", i, "\n")
  total <- total + 2*i
  cat("     total =", total, "\n\n")
}

   ### function sums the first five even integers: 2+4+6+8+10

###########################################################

### Exercise 3

 ### A. Using the same seed (481), what is the number of times "19" occurs in the hundred samples

source("function.code.R")

set.seed(481)

get.sample.count2(number=19)

 ### B. Using the same seed (481), what is the number of times "7" occurs in the hundred samples

set.seed(481)

get.sample.count2(number=7)

 ### C. Using the same seed (481), what is the number of times each of 1:20 in the hundred samples

store.vec <- rep(0,20)
for (num in 1:20) {
  set.seed(481)
  store.vec[num] <- get.sample.count2(number=num)
}
store.vec


###########################################################

### Exercise 4

source("function.code.R")

alpha <- .05
num.samples <- 10000

set.seed(314)
pop1 <- rnorm(n=100000, mean=10, sd=2)
pop2 <- rnorm(n=100000, mean=10.2, sd=2)

plot(density(pop1), xlim=c(0,26))
lines(density(pop2))

reject.vec <- NULL
for (n in seq(5,100,by=5)) {
  
  num.reject <- simple.t(pop1, pop2, n, num.samples, alpha) 
  
  reject.vec <- c(reject.vec, num.reject)
}

pdf(file="Sample Power Plot.pdf", height=8, width=10)
plot(seq(5,100,by=5), (reject.vec/num.samples)*100, xlab="Sample Size",ylab="Power",las=1,
     xlim=c(0,100), ylim=c(0,100))
lines(seq(5,100,by=5), (reject.vec/num.samples)*100)
segments(x0=0, x1=110, y0=80, y1=80,col="blue")
segments(x0=seq(0,100,10), x1=seq(0,100,10), y0=-10, y1=110, lty="dotted")
dev.off()
