### function.code.R
### 11/10/16 cmm
### functions for R programming for sample size calculations workshop

get.sample.count <- function() {
   count <- 0
  for (i in 1:100) {
    test <- sample(x=1:20, size=10, replace=FALSE)
    count <- count + sum(test==1)
  }
return(count) 
} 

###########################################################

get.sample.count2 <- function(number) {
   count <- 0
  for (i in 1:100) {
    test <- sample(x=1:20, size=10, replace=FALSE)
    count <- count + sum(test==number)
  }
return(count) 
}

###########################################################

get.sample.count3 <- function(sample.size=10, num.samples=100) {
  
  count.vec <- rep(0,20)
  for (i in 1:num.samples) {
    
    test <- sample(x=1:20, size=sample.size, replace=FALSE)
    
    for (j in 1:20) {
      count.vec[j] <- count.vec[j] + sum(test==j)
    }
  }

  return(count.vec) 
}

###########################################################

simple.t <- function(pop1, pop2, n, num.samples, alpha) {

  t.crit <- qt(p=1-alpha/2, df=2*n-2)
  
  reject.count <- 0
  for (i in 1:num.samples) {
    
    sample1 <- sample(pop1, size=n, replace=TRUE)
    
    sample2 <- sample(pop2, size=n, replace=TRUE)
    
    pooled.sd <- sqrt( ( sd(sample1)^2 + sd(sample2)^2 )/n )
    
    t.value <- ( mean(sample1) - mean(sample2) ) / ( pooled.sd * sqrt(2/n) )
    
    if (abs(t.value) > t.crit) reject.count <- reject.count + 1
  }
  
  return(reject.count)
}
